Summary: The Berkeley Automounter Suite of Utilities
Name: am-utils
Version: 6.1.5
Release: 2tr
License: BSD
Group: Trustix Official
Source0: ftp://ftp.am-utils.org/pub/am-utils/%{name}-%{version}.tar.gz
Source1: am-utils.conf
Source2: am-utils.init
Source3: am-utils.sysconf
Source4: am-utils.net.map
URL: http://www.am-utils.org
BuildRoot: %{_tmppath}/%{name}-root
Requires: portmap openssl db1 openldap-libs cyrus-sasl

%description
Am-utils includes an updated version of Amd, the popular BSD
automounter.  An automounter is a program which maintains a cache 
of mounted filesystems.  Filesystems are mounted when they are 
first referenced by the user and unmounted after a certain period of 
inactivity. Amd supports a variety of filesystems, including NFS, UFS, 
CD-ROMS and local drives. 

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" %configure --program-prefix='' \
                 --prefix=%{_prefix} \
                 --enable-shared \
                 --sysconfdir=%{_sysconfdir} \
                 --enable-libs="-lnsl -lresolv"
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/{sysconfig,init.d} $RPM_BUILD_ROOT/.automount
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/amd.conf
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/init.d/amd
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/amd
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/etc/amd.net

# We don't build a -devel package.
rm -f $RPM_BUILD_ROOT/%{_libdir}/libamu.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/libamu.la

# We don't include the info directory.
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir

# Remove the other sample config file.
rm -f $RPM_BUILD_ROOT/etc/amd.conf-sample
rm -f $RPM_BUILD_ROOT/etc/lostaltmail.conf-sample

%post
/sbin/ldconfig
/sbin/chkconfig --add amd
# Restart service after upgrade
/sbin/restart_maybe amd

%preun
if [ "$1" = "0" ]; then
        service amd stop 2> /dev/null 2>&1 || :
        /sbin/chkconfig --del amd
fi

%postun -p /sbin/ldconfig

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc doc/*.ps AUTHORS BUGS ChangeLog NEWS README* scripts/*-sample
%dir /.automount
%{_bindir}/expn
%{_bindir}/pawd
%{_sbindir}/*
%{_mandir}/man[58]/*
%{_mandir}/man1/expn.1*
%{_mandir}/man1/pawd.1*
%config(noreplace) /etc/amd.net
%config(noreplace) /etc/amd.conf
%config(noreplace) /etc/sysconfig/amd
/etc/init.d/amd
%exclude %{_infodir}/*info*.gz
%{_libdir}/libamu.so*

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Fri Jun 2 2006 Bipin S <bipin at trustix dot org> 6.1.5-1tr
- New upstream.

* Wed Aug 10 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 6.1.1-1tr
- Initial Spec for TSL-3.0 Official


